Redmine - Defect #18834

parent_issue_id in REST API request does not work
2015-01-14 07:23 - Nikolay Didenko

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 2.6.1
Description

| am trying to create ticket with parent ticket.

First of all i am creating parent ticket:

cat $TMPNAM
{
"issue": {
"project_id": "rugion",
"tracker_id": 5,
"priority_id": 6,
"subject": "TEST ticket",
"description": "test ticket",
"category_id": 90,
"fixed_version_id": 390,
"assigned_to_id": 61,
"parent_issue_id": "28173",
"custom_fields":
[
...skipped...
1
}
}

curl -k -s -H "Content-Type: application/json" -X POST --data ""cat ${TMPNAM} ™" -H "X-Redmine-API-Key: ...skipped..."
https://redmine.dev.rugion.ru/issues.json

{"issue":{"id":28181, ....}

Getting this issue.id value i am creating child of this ticket like this:

cat $TMPNAM
{
"issue": {

"project_id": "rugion",
"tracker_id": 5,
"priority_id": 6,
"subject": "TEST ticket 2",
"description": "Test ticket 2",
"category_id": 90,
"fixed_version_id": 390,
"assigned_to_id": 61,
"parent_issue_id": 28181,
"custom_fields":
[
...skipped...
]
https://redmine.dev.rugion.ru/issues.json

curl -k -s -H "Content-Type: application/json" -X POST --data "cat ${TMPNAM}™" -H "X-Redmine-API-Key: ...skipped..."
https://redmine.dev.rugion.ru/issues.json

{"issue":{"1id":28182, ....}
As aresult i get two tickets without any relations.
| expect that ticket 28182 will be a child of ticket 28181.

PS: It was checked in versions 2.6.0 and 2.6.1.

History

#1 - 2015-03-11 13:34 - Nikolay Didenko

- Status changed from New to Resolved

Sorry for disturbing.
It was my fault. This action should be enabled via ACL for this user. This checkbox was unset.

#2 - 2015-04-10 01:57 - Toshi MARUYAMA
- Status changed from Resolved to Closed

- Resolution set to Invalid

Thank you for your feedback.

2025-05-02 22



https://redmine.dev.rugion.ru/issues.json
http://www.tcpdf.org

